Issue with Lambda Functions. Help!

  • imslp-tools-server
  • netlify subdomain

I don’t know how to describe this issue, but it surely has something to do with functions.
5:03:55 PM: Build ready to start
5:03:57 PM: build-image version: 6dfe19d15f524c85d6f9bf7df9fb30b0a9f0a61a
5:03:57 PM: build-image tag: v3.3.10
5:03:57 PM: buildbot version: 90cbc3789500c2dd7143d55a5b3bf1480401aa91
5:03:58 PM: Fetching cached dependencies
5:03:58 PM: Failed to fetch cache, continuing with build
5:03:58 PM: Starting to prepare the repo for build
5:03:58 PM: No cached dependencies found. Cloning fresh repo
5:03:58 PM: git clone https://github.com/josefleventon/imslp-tools-server
5:04:00 PM: Preparing Git Reference refs/heads/master
5:04:00 PM: Found Netlify configuration file netlify.toml in site root
5:04:00 PM: Found Netlify configuration file(s). Overriding site configuration
5:04:00 PM: Different functions path detected, going to use the one specified in the Netlify configuration file: ‘functions’ versus ‘’ in the Netlify UI
5:04:00 PM: Creating functions prep folder
5:04:00 PM: Starting build script
5:04:00 PM: Installing dependencies
5:04:01 PM: v10.20.1 is already installed.
5:04:02 PM: Now using node v10.20.1 (npm v6.14.4)
5:04:02 PM: Attempting ruby version 2.6.2, read from environment
5:04:04 PM: Using ruby version 2.6.2
5:04:04 PM: Using PHP version 5.6
5:04:04 PM: 5.2 is already installed.
5:04:04 PM: Using Swift version 5.2
5:04:04 PM: Started restoring cached node modules
5:04:04 PM: Finished restoring cached node modules
5:04:04 PM: Installing NPM modules using NPM version 6.14.4
5:04:20 PM: npm
5:04:20 PM: WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@1.2.13 (node_modules/webpack-dev-server/node_modules/fsevents):
5:04:20 PM: npm
5:04:20 PM: WARN notsup
5:04:20 PM: SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents@1.2.13: wanted {“os”:“darwin”,“arch”:“any”} (current: {“os”:“linux”,“arch”:“x64”})
5:04:20 PM: npm
5:04:20 PM: WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@1.2.13 (node_modules/watchpack-chokidar2/node_modules/fsevents):
5:04:20 PM: npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents@1.2.13: wanted {“os”:“darwin”,“arch”:“any”} (current: {“os”:“linux”,“arch”:“x64”})
5:04:20 PM: npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@2.1.3 (node_modules/fsevents):
5:04:20 PM: npm
5:04:20 PM: WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents@2.1.3: wanted {“os”:“darwin”,“arch”:“any”} (current: {“os”:“linux”,“arch”:“x64”})
5:04:20 PM: added 892 packages from 492 contributors and audited 899 packages in 15.042s
5:04:21 PM: 32 packages are looking for funding
5:04:21 PM: run npm fund for details
5:04:21 PM: found 0 vulnerabilities
5:04:21 PM: NPM modules installed
5:04:22 PM: Started restoring cached go cache
5:04:22 PM: Finished restoring cached go cache
5:04:22 PM: go version go1.12 linux/amd64
5:04:22 PM: go version go1.12 linux/amd64
5:04:22 PM: Installing missing commands
5:04:22 PM: Verify run directory
5:04:22 PM: Executing user command: ./node_modules/.bin/netlify-lambda -c ./src/express/webpack.functions.js build src/express
5:04:22 PM: netlify-lambda: Building functions
5:04:29 PM: Hash: 03bad396dfe1e2461575
5:04:29 PM: Version: webpack 4.43.0
5:04:29 PM: Time: 6905ms
5:04:29 PM: Built at: 05/19/2020 9:04:29 PM
5:04:29 PM: Asset Size Chunks Chunk Names
5:04:29 PM: api.js 1.46 MiB api [emitted] api
5:04:29 PM: webpack.functions.js 6.49 MiB webpack.functions [emitted] webpack.functions
5:04:29 PM: Entrypoint api = api.js
5:04:29 PM: Entrypoint webpack.functions = webpack.functions.js
5:04:29 PM: […/…/node_modules/cookiejar/cookiejar.js] /opt/build/repo/node_modules/cookiejar/cookiejar.js 9.82 KiB {api} [built]
5:04:29 PM: […/…/node_modules/express/index.js] /opt/build/repo/node_modules/express/index.js 224 bytes {api} [built]
5:04:29 PM: […/…/node_modules/express/lib/express.js] /opt/build/repo/node_modules/express/lib/express.js 2.35 KiB {api} [built]
5:04:29 PM: […/…/node_modules/fast-safe-stringify/index.js] /opt/build/repo/node_modules/fast-safe-stringify/index.js 4.32 KiB {api} [built]
5:04:29 PM: […/…/node_modules/form-data/lib/form_data.js] /opt/build/repo/node_modules/form-data/lib/form_data.js 13.2 KiB {api} [built]
5:04:29 PM: […/…/node_modules/formidable/lib/index.js] /opt/build/repo/node_modules/formidable/lib/index.js 133 bytes {api} [built]
5:04:29 PM: […/…/node_modules/methods/index.js] /opt/build/repo/node_modules/methods/index.js 1.02 KiB {api} [built]
5:04:29 PM: […/…/node_modules/serverless-http/lib/finish.js] /opt/build/repo/node_modules/serverless-http/lib/finish.js 847 bytes {api} [built]
5:04:29 PM: […/…/node_modules/serverless-http/lib/framework/get-framework.js] /opt/build/repo/node_modules/serverless-http/lib/framework/get-framework.js 1.49 KiB {api} [built]
5:04:29 PM: […/…/node_modules/serverless-http/lib/provider/get-provider.js] /opt/build/repo/node_modules/serverless-http/lib/provider/get-provider.js 286 bytes {api} [built]
5:04:29 PM: […/…/node_modules/serverless-http/serverless-http.js] /opt/build/repo/node_modules/serverless-http/serverless-http.js 659 bytes {api} [built]
5:04:29 PM: […/…/node_modules/superagent/lib/node/index.js] /opt/build/repo/node_modules/superagent/lib/node/index.js 117 KiB {api} [built]
5:04:29 PM: […/…/node_modules/webpack/lib/webpack.js] (webpack)/lib/webpack.js 7.79 KiB {webpack.functions} [built]
5:04:29 PM: [./api.js] 758 bytes {api} [built]
5:04:29 PM: [./webpack.functions.js] 153 bytes {webpack.functions} [built]
5:04:29 PM: + 1300 hidden modules
5:04:29 PM: WARNING in /opt/build/repo/node_modules/terser-webpack-plugin/dist/worker.js 12:130-137
5:04:29 PM: Critical dependency: require function is used in a way in which dependencies cannot be statically extracted
5:04:29 PM: @ /opt/build/repo/node_modules/terser-webpack-plugin/dist/TaskRunner.js
5:04:29 PM: @ /opt/build/repo/node_modules/terser-webpack-plugin/dist/index.js
5:04:29 PM: @ /opt/build/repo/node_modules/terser-webpack-plugin/dist/cjs.js
5:04:29 PM: @ (webpack)/lib/WebpackOptionsDefaulter.js
5:04:29 PM: @ (webpack)/lib/webpack.js
5:04:29 PM: @ ./webpack.functions.js
5:04:29 PM: WARNING in /opt/build/repo/node_modules/loader-runner/lib/loadLoader.js 5:2-28
5:04:29 PM: Critical dependency: the request of a dependency is an expression
5:04:29 PM: @ /opt/build/repo/node_modules/loader-runner/lib/LoaderRunner.js
5:04:29 PM: @ (webpack)/lib/NormalModule.js
5:04:29 PM: @ (webpack)/lib/AutomaticPrefetchPlugin.js
5:04:29 PM: @ (webpack)/lib/webpack.js
5:04:29 PM: @ ./webpack.functions.js
5:04:29 PM: WARNING in /opt/build/repo/node_modules/express/lib/view.js 81:13-25
5:04:29 PM: Critical dependency: the request of a dependency is an expression
5:04:29 PM: @ /opt/build/repo/node_modules/express/lib/application.js
5:04:29 PM: @ /opt/build/repo/node_modules/express/lib/express.js
5:04:29 PM: @ /opt/build/repo/node_modules/express/index.js
5:04:29 PM: @ ./api.js
5:04:29 PM: WARNING in /opt/build/repo/node_modules/worker-farm/lib/child/index.js 53:33-53
5:04:29 PM: Critical dependency: the request of a dependency is an expression
5:04:29 PM: @ /opt/build/repo/node_modules/worker-farm/lib/fork.js
5:04:29 PM: @ /opt/build/repo/node_modules/worker-farm/lib/farm.js
5:04:29 PM: @ /opt/build/repo/node_modules/worker-farm/lib/index.js
5:04:29 PM: @ /opt/build/repo/node_modules/terser-webpack-plugin/dist/TaskRunner.js
5:04:29 PM: @ /opt/build/repo/node_modules/terser-webpack-plugin/dist/index.js
5:04:29 PM: @ /opt/build/repo/node_modules/terser-webpack-plugin/dist/cjs.js
5:04:29 PM: @ (webpack)/lib/WebpackOptionsDefaulter.js
5:04:29 PM: @ (webpack)/lib/webpack.js
5:04:29 PM: @ ./webpack.functions.js
5:04:29 PM: WARNING in /opt/build/repo/node_modules/chokidar/lib/fsevents-handler.js
5:04:29 PM: Module not found: Error: Can’t resolve ‘fsevents’ in ‘/opt/build/repo/node_modules/chokidar/lib’
5:04:29 PM: @ /opt/build/repo/node_modules/chokidar/lib/fsevents-handler.js
5:04:29 PM: @ /opt/build/repo/node_modules/chokidar/index.js
5:04:29 PM: @ /opt/build/repo/node_modules/watchpack/lib/chokidar.js
5:04:29 PM: @ /opt/build/repo/node_modules/watchpack/lib/DirectoryWatcher.js
5:04:29 PM: @ /opt/build/repo/node_modules/watchpack/lib/watcherManager.js
5:04:29 PM: @ /opt/build/repo/node_modules/watchpack/lib/watchpack.js
5:04:29 PM: @ (webpack)/lib/node/NodeWatchFileSystem.js
5:04:29 PM: @ (webpack)/lib/node/NodeEnvironmentPlugin.js
5:04:29 PM: @ (webpack)/lib/webpack.js
5:04:29 PM: @ ./webpack.functions.js
5:04:29 PM: WARNING in /opt/build/repo/node_modules/watchpack-chokidar2/node_modules/chokidar/lib/fsevents-handler.js
5:04:29 PM: Module not found: Error: Can’t resolve ‘fsevents’ in ‘/opt/build/repo/node_modules/watchpack-chokidar2/node_modules/chokidar/lib’
5:04:29 PM: @ /opt/build/repo/node_modules/watchpack-chokidar2/node_modules/chokidar/lib/fsevents-handler.js
5:04:29 PM: @ /opt/build/repo/node_modules/watchpack-chokidar2/node_modules/chokidar/index.js
5:04:29 PM: @ /opt/build/repo/node_modules/watchpack-chokidar2/index.js
5:04:29 PM: @ /opt/build/repo/node_modules/watchpack/lib/chokidar.js
5:04:29 PM: @ /opt/build/repo/node_modules/watchpack/lib/DirectoryWatcher.js
5:04:29 PM: @ /opt/build/repo/node_modules/watchpack/lib/watcherManager.js
5:04:29 PM: @ /opt/build/repo/node_modules/watchpack/lib/watchpack.js
5:04:29 PM: @ (webpack)/lib/node/NodeWatchFileSystem.js
5:04:29 PM: @ (webpack)/lib/node/NodeEnvironmentPlugin.js
5:04:29 PM: @ (webpack)/lib/webpack.js
5:04:29 PM: @ ./webpack.functions.js
5:04:29 PM: WARNING in /opt/build/repo/node_modules/loader-runner/lib/loadLoader.js 5:2-28
5:04:29 PM: System.import() is deprecated and will be removed soon. Use import() instead.
5:04:29 PM: For more info visit https://webpack.js.org/guides/code-splitting/
5:04:29 PM: @ /opt/build/repo/node_modules/loader-runner/lib/LoaderRunner.js 7:17-40
5:04:29 PM: @ (webpack)/lib/NormalModule.js
5:04:29 PM: @ (webpack)/lib/AutomaticPrefetchPlugin.js
5:04:29 PM: @ (webpack)/lib/webpack.js
5:04:29 PM: @ ./webpack.functions.js
5:04:30 PM: Function Dir: /opt/build/repo/functions
5:04:30 PM: TempDir: /tmp/zisi-5ec449ba8187d6000722dfc0
5:04:30 PM: Prepping functions with zip-it-and-ship-it 0.3.1
5:04:43 PM: [ { path: ‘/tmp/zisi-5ec449ba8187d6000722dfc0/api.zip’,
5:04:43 PM: runtime: ‘js’ },
5:04:43 PM: { path: ‘/tmp/zisi-5ec449ba8187d6000722dfc0/webpack.functions.zip’,
5:04:43 PM: runtime: ‘js’ } ]
5:04:43 PM: Prepping functions complete
5:04:43 PM: Caching artifacts
5:04:43 PM: Started saving node modules
5:04:43 PM: Finished saving node modules
5:04:43 PM: Started saving pip cache
5:04:43 PM: Finished saving pip cache
5:04:43 PM: Started saving emacs cask dependencies
5:04:43 PM: Finished saving emacs cask dependencies
5:04:43 PM: Started saving maven dependencies
5:04:43 PM: Finished saving maven dependencies
5:04:43 PM: Started saving boot dependencies
5:04:43 PM: Finished saving boot dependencies
5:04:43 PM: Started saving go dependencies
5:04:43 PM: Finished saving go dependencies
5:04:47 PM: Build script success
5:04:47 PM: Starting to deploy site from ‘’
5:04:47 PM: Creating deploy tree
5:04:48 PM: Creating deploy upload records
5:04:48 PM: 0 new files to upload
5:04:48 PM: 1 new functions to upload
5:06:33 PM: Failed to upload file: webpack.functions
5:06:33 PM: Failing build: Failed to deploy site
5:06:33 PM: Failed during stage ‘deploying site’: Failed to execute deploy: [PUT /deploys/{deploy_id}/functions/{name}][404] uploadDeployFunction default &{Code:0 Message:}
5:06:33 PM: Finished processing build request in 2m36.134286762s

Hey @josefleventon, when I go to that Netlify subdomain, I don’t see anything. It seems like you’ve deleted the repo as well? Let us know if you’ve recreated it elsewhere so we can take a closer look.